### Property

# Gtk Entry:input-purpose

since: 4.0

#### Declaration

    property input-purpose: Gtk.InputPurpose [ read, write ]

#### Description [src]

The purpose of this text field.

This property can be used by on-screen keyboards and other input methods to adjust their behaviour.

Note that setting the purpose to `GTK_INPUT_PURPOSE_PASSWORD` or `GTK_INPUT_PURPOSE_PIN` is independent from setting `GtkEntry:visibility`.

Type: | `GtkInputPurpose`
Available since: | 4.0

Default value | GTK_INPUT_PURPOSE_FREE_FORM
Getter method | `gtk_entry_get_input_purpose()`
Setter method | `gtk_entry_set_input_purpose()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no